using AutoScan.Interfaces;
using Microsoft.Extensions.Logging;
using Quartz;

namespace AutoScan.Jobs;

public class ScannerJob : IJob
{
    private readonly ILogger<ScannerJob> _logger;
    private readonly IDVRScanner _scanner;

    public ScannerJob(ILogger<ScannerJob> logger, IDVRScanner scanner)
    {
        _logger = logger;
        _scanner = scanner;
    }
    public Task Execute(IJobExecutionContext context)
    {
        _logger.LogInformation("Scanner {scannerName} is ready to scan!", _scanner.GetType().Name);

        _scanner.ScanVideos();
        return Task.CompletedTask;
        
    }
}